import { render, screen } from '@testing-library/react';
import App from './App';

test('renders Queens Mountain title', () => {
  render(<App />);
  const titleElement = screen.getByText(/Queens Mountain/i);
  expect(titleElement).toBeInTheDocument();
});

test('renders login form', () => {
  render(<App />);
  const emailInput = screen.getByPlaceholderText(/email/i);
  const passwordInput = screen.getByPlaceholderText(/password/i);
  expect(emailInput).toBeInTheDocument();
  expect(passwordInput).toBeInTheDocument();
});